import type { KeyValueCache, KeyValueCacheSetOptions, Logger, MeshPubSub, YamlConfig } from '@graphql-mesh/types';
import { DisposableSymbols } from '@whatwg-node/disposablestack';
export default class RedisCache<V = string> implements KeyValueCache<V>, Disposable {
    private client;
    constructor(options: YamlConfig.Cache['redis'] & {
        pubsub?: MeshPubSub;
        logger: Logger;
    });
    [DisposableSymbols.dispose](): void;
    set(key: string, value: V, options?: KeyValueCacheSetOptions): Promise<void>;
    get(key: string): Promise<V | undefined>;
    getKeysByPrefix(prefix: string): Promise<string[]>;
    delete(key: string): Promise<boolean>;
}
